{% extends 'base.html' %}

{% block title %}
  <title>Project Alpha | My Tasks</title>
{% endblock title %}

{% block content %}
  <main>
    <div>
      <h1>My Tasks</h1>
      {% if tasks.all|length > 0 %}
      <table>
        <thead>
          <tr>
            <th>Name</th>
            <th>Start date</th>
            <th>Due date</th>
            <th>Is completed</th>
          </tr>
        </thead>
        <tbody>
          {% for task in tasks %}
            <tr>
              <td>
                {{ task.name}}
              </td>
              <td>
                {{ task.start_date|date:"M d, Y h:m A"}}
              </td>
              <td>
                {{ task.due_date|date:"M d, Y h:m A"}}
              </td>
              <td>
                {{ task.is_complete|yesno:'Yes,No'}}
              </td>
            </tr>
          {% endfor %}

        </tbody>
      </table>
      {% else %}
      <p>You have no tasks</p>
      {% endif %}
    </div>
  </main>

  {% endblock content %}
